Skip to navigation

Share Folder

View as Markdown

Share a folder with collaborators.

Most sharing will be completed synchronously. Large folders will be completed asynchronously. To make testing the async case repeatable, set ShareFolderArg.force_async.

If a ShareFolderLaunch.async_job_id is returned, you’ll need to call check_share_job_status until the action completes to get the metadata for the folder.

Required scope: sharing.write

Endpoint format: RPC

Authentication: User, Dropbox-API-Select-Admin (Team Admin)

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
pathstringRequiredformat: "(/(.|[\r\n])*)|(ns:[0-9]+(/(.|[\r\n])*)?)|(id:.*)"
The path or the file id to the folder to share. If it does not exist, then a new one is created.
access_inheritanceobject or nullOptional
The access inheritance settings for the folder.
Variant:
sharing_apiv2.AccessInheritance.inheritobjectRequired
The shared folder inherits its members from the parent folder.
acl_update_policyobject or nullOptional
Who can add and remove members of this shared folder.
Variant:
sharing_apiv2.AclUpdatePolicy.ownerobjectRequired
Only the owner can update the ACL.
actionslist of objects or nullOptional

A list of FolderActions corresponding to FolderPermissions that should appear in the response’s SharedFolderMetadata.permissions field describing the actions the authenticated user can perform on the folder.

Variant:
sharing_apiv2.FolderAction.change_optionsobjectRequired
Change folder options, such as who can be invited to join the folder.
force_asyncbooleanOptional
Whether to force the share to happen asynchronously.
member_policyobject or nullOptional
Who can be a member of this shared folder. Only applicable if the current user is on a team.
Variant:
sharing_apiv2.MemberPolicy.teamobjectRequired
Only a teammate can become a member.
viewer_info_policyobject or nullOptional

Who can enable/disable viewer info for this shared folder.

Variant:
sharing_apiv2.ViewerInfoPolicy.enabledobjectRequired
Viewer information is available on this file.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
sharing_apiv2.ShareFolderLaunch.async_job_idobject
This response indicates that the processing is asynchronous. The string is an id that can be used to obtain the status of the asynchronous job.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error